Page MenuHomePhabricator

Add "donation or address number" field to contact form
Closed, ResolvedPublic3 Story Points

Description

As discussed in T198052, the contact form should have a new field for supplying an address or donation identifier:

AC:

  • The input field should be placed next to the email field
  • The outgoing email should receive an additional line where the user input is properly displayed.
  • Input should be validated, the value is optional but when filled out, the input should be numeric.

Event Timeline

Tim_WMDE triaged this task as Normal priority.Jul 5 2018, 4:48 PM
Tim_WMDE created this task.
Tim_WMDE moved this task from Backlog to Sprint ready on the WMDE-Fundraising-Tech board.
aniansson moved this task from Todo to Doing on the WMDE-FUN-Sprint-2018-07-09 board.
aniansson added a comment.EditedJul 13 2018, 10:45 AM

@kai.nissen Should this field be considered a plichtfeld? And in 10h16, I am guessing we should add a message in the box. Are there any mock-ups on what i should include? This is how it looks right now;

@aniansson
No mandatory field, people might not even have the data (at hand). Unfortunately, there is no mock-up for the contact form design of the other skin. The label seems to wide anyway, so I think, we should set the label to "Referenz" and add the text "Spenden- oder Adressnummer" as the placeholder.

If we want people to use the form we should make it as easy as possible to use it. Thus we should have as few mandatory inputs as possible. It depends on the way such requests are managed which data is essential.

As for now, I would attach the * to the labels for required fields, even if that is a problem for the "placeholder-labels" in the new skin.

aniansson removed aniansson as the assignee of this task.Jul 17 2018, 8:15 AM
aniansson moved this task from Doing to Review on the WMDE-FUN-Sprint-2018-07-09 board.
aniansson added a subscriber: aniansson.

All form fields (expect for the text area) are switching their background color to a lighter blue when containing values. This seems to have changed for the subject field and is not applied to the reference field. Can you please look into that?

@kai.nissen
All forms except the subject (because it's a dropdown) switch their background color to lighter blue when they're on focus. When they're out of focus they go back to the dark color.
The form in Daten behaves differently. There, all the fields stay light blue even after the focus is out.
Do we want consistency between forms all over the website or just consistency between the fields in Kontakt? Right now they are consistent, besides the subject. Then there's the question do we make all other fields behave as subject or the other way around?

If you want we can also discuss this in person, might be easier :)

@Tonina_Zhelyazkova_WMDE @kai.nissen
I guess that consistency to the non-contact-form should be there, so the color should also change on the contact form when the fields are on focus.
Rationale: 1) I see no point why it should not 2) If we keep it all constant, it is easier in the future to change widget code and design centrally since it prevents creation of solutions dependent on unusual, only-at-one-location behavior which is hard to factor out again.

@Tonina_Zhelyazkova_WMDE @Jan_Dittrich
We should have all forms of the application and their fields behave consistently. This is the behaviour, the designer had in mind:

  • focusing a form field switches the background color to a lighter color (green in the membership form, blue in all other forms)
  • leaving a form field without entering a value turns the color back to the darker color
  • leaving a form field with an invalid value turns the color to red(ish) to indicate an error
  • leaving a form field with a valid value keeps the lighter background color that was set when setting the focus
kai.nissen closed this task as Resolved.Aug 15 2018, 11:19 AM